2010-06-14  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmCompilerManager.cs: Track api changes.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ILAsmBinding.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* ILAsmBinding.csproj:
	* ILAsmBinding.addin.xml:
	* Gui/CompilerParametersPanelWidget.cs: Merged MD.Projects
	  into MD.Core, and MD.Projects.Gui, MD.Core.Gui and
	  MD.Components into MD.Ide.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/ILAsmBinding.CompilerParametersPanelWidget.cs:
	  Flush.

2009-12-01  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmLanguageBinding.cs:
	* ILAsmCompilerManager.cs: Introduced the
	  ConfigurationSelector class to all methods that previously
	  took a configuration name as string. This eliminates the
	  ambiguity between solution configuration names and project
	  configuration names.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmCompilerManager.cs: Minor fix in error parsing.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmConsoleProject.xpt.xml: Add mscorlib reference to the
	  template.

2009-11-10  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmCompilerManager.cs: Make the error parsing regex work
	  on ms.net.

2009-11-09  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmCompilerManager.cs: Show an error message when ilasm is
	  not found.

2009-11-09  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmCompilerManager.cs: Get the ilasm path using the target
	  runtime. Should fix bug #553536 - IL Console project
	  completely broken on windows.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ILAsmBinding.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmBinding.csproj:
	* gtk-gui/generated.cs:
	* gtk-gui/ILAsmBinding.CompilerParametersPanelWidget.cs:
	  Flush.

2009-10-13  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmConsoleProject.xpt.xml: Track language binding id
	  change.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ILAsmBinding.addin.xml: Bump MD version.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* ILAsmCompilerManager.cs: Fixed warning.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmBinding.csproj: Updated dependencies. We now depend on
	  gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmCompilerManager.cs: Track api changes.

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* gtk-gui:
	* gtk-gui/gui.stetic:
	* gtk-gui/generated.cs:
	* gtk-gui/ILAsmBinding.CompilerParametersPanelWidget.cs:
	  Checked in gtk-gui

2009-04-27  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* ILAsmBinding.csproj:
	* ILAsmBinding.addin.xml:
	* ILAsmLanguageBinding.cs:
	* ILAsmCompilerManager.cs:
	* Gui/CompilerParametersPanel.cs:
	* Project/ILAsmCompilerParameters.cs:
	* Gui/CompilerParametersPanelWidget.cs: Worked on IL binding.

2009-04-20  Michael Hutchinson  <mhutchinson@novell.com>

	* ILAsmLanguageBinding.cs: Track comment tag API.

2009-04-17  Mike Kestner  <mkestner@novell.com>

	* ILAsmBinding.csproj: don't require specific gtk-sharp version.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* ILAsmLanguageBinding.cs: Removed icon service.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ILAsmBinding.addin.xml: Bump MD version.

2009-02-25  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmLanguageBinding.cs:
	* Project/ILAsmCompilerParameters.cs: Track api changes.

2009-02-11  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmLanguageBinding.cs:
	* ILAsmCompilerManager.cs: Track API changes. Use the new
	  ProjectItem collection.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* ILAsmBinding.csproj: Make implicit references explicit. Csc
	  is much pickier about these.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmBinding.mdp:
	* ILAsmBinding.csproj: Migrated to MSBuild file format.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* ILAsmBinding.addin.xml: Bump MD version.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* ILAsmBinding.mdp: Flush project format changes.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmBinding.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmBinding.mdp: Don't require a specific version of Mono.Addins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* AssemblyInfo.cs: Add AssemblyInfo.cs files that are autogenerated from
	the addin manifests.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmBinding.addin.xml: Bump MD version.

2008-10-01  Michael Hutchinson <mhutchinson@novell.com> 

	* ILAsmCompilerManager.cs: Track API.

2008-08-18  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Register the project guid for msbuild. Fixes
	  bug #405480.

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* ILAsmLanguageBinding.cs: Translated old code to new dom.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* Project/ILAsmCompilerParameters.cs: Moved serialization engine to
	  MonoDevelop.Core. Use new syntax for specifying attribute scope.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Bump MD version.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Merged the extension points for project and
	  solution option panels into a single extension point. A single
	  extension point will now be used for all kinds of items. Extension
	  conditions can be used to make panels visible only for some
	  specific item types.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmCompilerManager.cs, ILAsmLanguageBinding.cs: Replaced
	  ICompilerResult/DefaultCompilerResult/CompilerResults by a new
	  BuildResult class, which has owner information at error level, so
	  it is possible to know which project generated an error when
	  building a solution. Updated Task and TaskService to use the new
	  owner information.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp, Gui/CompilerParametersPanel.cs,
	  ILAsmLanguageBinding.cs, Makefile.am, ILAsmBinding.addin.xml: New
	  project model changes.

2008-02-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmCompilerManager.cs: Properly detect and report compiler errors. Fixes
	  bug #358360.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Update MD version.

2008-01-15  Michael Hutchinson <mhutchinson@novell.com> 

	* ILAsmConsoleProject.xpt.xml: Make template categories translatable.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Bump add-in versions.

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp, Makefile.am: Directory reorganization.

2007-10-29  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Bump MD version.

2007-10-24  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp, ILAsmConsoleProject.xpt.xml, Makefile.am,
	  icons/ILAsm.Project.DOSProject: Updated project icons. Use the base
	  project icon with an overlay to show the type.

2007-10-23  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp: Project file names updated by change in MD path
	  functions.

2007-09-21  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Bump MD version.

2007-09-04  Michael Hutchinson <MHutchinson@novell.com> 

	* Gui/CompilerParametersPanel.cs: Fix compiler warning.

2007-08-31  Mike Krüger <mkrueger@novell.com> 

	* Gui/CompilerParametersPanel.cs: Changes due to new property
	  infrastructure.

2007-08-09  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp, Makefile.am, ILAsmBinding.addin.xml: Reorganized the
	  extension point hierarchy. Embedded all add-in manifests as resources.

2007-05-11  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp: Copy the .addins.xml file to the output dir.

2007-05-09  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp, Makefile.am: Reference shared assemblies from the
	  correct location.

2007-05-04  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp, Gui/CompilerParametersPanel.cs, Makefile.am,
	  ILAsmBinding.addin.xml: Migration to Mono.Addins.

2007-04-19  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.mdp: Don't copy referenced assemblies.

2007-02-16  Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Change add-in versions to 0.13.

2007-02-15  Lluis Sanchez Gual <lluis@novell.com> 

	* AssemblyInfo.cs: Removed version auto-increment.
	* ILAsmBinding.mdp, Makefile.am: Synchronized the MD project and the
	  Makefile

2006-12-07 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* ILAsmBinding.mdp: Updated to ensure it can be
	built from MonoDevelop.

2006-09-18 Jacob Ilsø Christensen  <jacobilsoe@gmail.com>

	* ILAsmBinding.mdp: Updated.

2006-07-03 Lluis Sanchez Gual  <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Updated versions.

2006-06-15 Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmBinding.addin.xml: Use the DataType element instead fof Class
	  to declare serializable types.

2006-05-04 Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmBinding.addin.xml: Updated versions.
	* ILAsmBinding.mdp: Updated.

2006-04-21 Lluis Sanchez Gual <lluis@novell.com> 

	* ILAsmLanguageBinding.cs: Implement GetSupportedClrVersions.

2006-04-07  David Makovský (Yakeen) <yakeen@sannyas-on.net>

	* ILAsmBinding.addin.xml: renamed attribute in FileFilter Extension

2006-03-30 Lluis Sanchez Gual <lluis@novell.com> 

	* Makefile.am:
	* ILAsmBinding.addin.xml: Updated references.

2006-03-24 Lluis Sanchez Gual  <lluis@novell.com>   

	* ILAsmBinding.mdp: Updated.
	* Makefile.am: Use an unified format. Patch by Matze Braun.
	* ILAsmBinding.addin.xml: Updated add-in versions.

2005-12-13  Lluis Sanchez Gual  <lluis@novell.com> 

	* ILAsmLanguageBinding.cs: Implemented the new methods in
	IDotNetLanguageBinding.

2005-10-11  Lluis Sanchez Gual  <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Fixed addin header information.
	Use "id" attribuet instead of "name" to identify addins.

2005-10-06  John Luke  <john.luke@gmail.com>

	* ILAsmCompilerManager.cs: remove unused fileUtilityService
	* Gui/CompilerParametersPanel.cs: comment out unused code that
	caused a warning

2005-10-06  Lluis Sanchez Gual  <lluis@novell.com> 

	* ILAsmBinding.addin.xml:
	* ILAsmLanguageBinding.cs: Register serializable types in the addin
	configuration file.

2005-10-04  Lluis Sanchez Gual  <lluis@novell.com> 

	* ILAsmBinding.addin.xml: Added addin dependencies.

2005-08-12  Lluis Sanchez Gual  <lluis@novell.com> 

	* ILAsmConsoleProject.xpt.xml: Properly reference resource icons.
	* ILAsmBinding.addin.xml:
	* Makefile.am: Embed icon and templates as resources.

2005-08-10  Ben Motmans  <ben.motmans@gmail.com>

	* ILAsmBinding.mdp: references update

2005-07-11  Lluis Sanchez Gual  <lluis@novell.com>

	* Project/ILAsmCompilerParameters.cs: Implement ICloneable.
	* ILAsmLanguageBinding.cs: CreateCompilationParameters now returns an
	ICloneable.

2005-04-17  John Luke  <john.luke@gmail.com>

	* Makefile.am: fix distcheck

2005-02-16  Ben Motmans  <ben.motmans@gmail.com>

	* ILAsmConsoleProject.xpt.xml: Consistent naming

2005-01-24  John Luke  <john.luke@gmail.com>

	* ILAsmCompilerManager.cs: update to work like CSharpBinding
	and add some primitive error parsing

2005-01-24  John Luke  <john.luke@gmail.com>

	* ILAsmCompilerManager.cs: remove unused lines and fix 2 warnings

2005-01-24  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmLanguageBinding.cs:
	* ILAsmCompilerManager.cs: Use the new progress monitor API.

2005-01-11  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmCompilerManager.cs:
	* Gui/CompilerParametersPanel.cs:
	* ILAsmBinding.addin.xml:
	* ILAsmLanguageBinding.cs: Follow architecture changes.
	
	* Project/ILAsmProject.cs: Removed. Not needed any more.
	* Project/ILAsmCompilerParameters.cs: All parameters have been moved to
	DotNetProjectConfiguration.
	* Project/CompilationTarget.cs: Moved to Monodevelop.Base.
	* Makefile.am: Updated.
	
2004-12-13  Lluis Sanchez Gual  <lluis@novell.com>

	* ILAsmCompilerManager.cs: StatusBarService.ProgressMonitor is not a
	StatusBar widget any more.

2004-12-07  Alexandre Gomes <alexmipego@hotmail.com>

	* ILAsmLanguageBinding.cs: Added CommentTag to be used by (Un)CommentCode

2004-06-08  John Luke  <jluke@cfl.rr.com>

	* ILAsmCompilerManager.cs:
	* ILAsmExecutionManager.cs: use (cmd, args) overload of ProcessStartInfo
	constructor so I can compile and run hello world on Beta2

2004-05-25  Todd Berman  <tberman@sevenl.net>

	* ILAsmLanguageBinding.cs: sigchange for GenerateMakefile

2004-04-28  Todd Berman  <tberman@sevenl.net>

	* ILAsmLanguageBinding.cs: stubbing GenerateMakefile


2004-04-26  John Luke  <jluke@cfl.rr.com>

	* *.cs: ILAsmBinding namespace
	* ILAsmCompilerManager.cs: change it to work like the Java one
	* Project/CompilationParameters.cs: use /exe and /dll




	import from SD svn
	not yet working and untested

